varying mediump vec2 var_texcoord0;
varying mediump vec2 var_local_xy;

uniform lowp sampler2D texture_sampler;
uniform lowp vec4 tint;

void main()
{
    // Pre-multiply alpha since all runtime textures already are
    lowp vec4 tint_pm = vec4(tint.xyz * tint.w, tint.w);
    float fade = (1.0 + var_local_xy.y) / 2.0;
    gl_FragColor = fade * fade * texture2D(texture_sampler, var_texcoord0.xy) * tint_pm;
}
